Bug 132311 - Fuzzy 'unsharp' V in a checked checkbox (GDI/OpenGL/Skia) (caused by low res icon used for control)
Summary: Fuzzy 'unsharp' V in a checked checkbox (GDI/OpenGL/Skia) (caused by low res ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Form-Controls
  Show dependency treegraph
 
Reported: 2020-04-21 20:39 UTC by Telesto
Modified: 2022-08-05 03:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
clip of LOdev 7.1.0alpha w Skia rendering, Form check box on writer canvas (82.36 KB, image/png)
2020-06-12 20:04 UTC, V Stuart Foote
Details
Sceenshot (12.33 KB, application/pdf)
2020-06-13 18:25 UTC, Telesto
Details
Writer document with single form checkbox control (8.99 KB, application/vnd.oasis.opendocument.text)
2020-06-14 13:54 UTC, V Stuart Foote
Details
side-by-side of Edit vs Form Design mode ind GDI rendering of low res checkbox (24.65 KB, image/png)
2020-06-14 14:08 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-04-21 20:39:46 UTC
Description:
Fuzzy 'unsharp' or pixelated (SKIA) checkbox

Steps to Reproduce:
1. Open Writer
2. Insert a Form -> checkbox & check it look at the V (zoom in at %200)

Actual Results:
Pixels/ or fuzzy 

Expected Results:
No pixels no fuzzy look 


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)Build ID: 8c8b3a4f83f67882b284ddc3b3fe10d3fe6dedf4
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; Locale: nl-NL (nl_NL); UI-Language: en-USCalc: CL
Comment 1 Roman Kuznetsov 2020-05-11 09:58:07 UTC
confirm pixellized checkbox with skia in

Version: 7.0.0.0.alpha1+ (x64)
Build ID: 2f4172fc48aab38c64851ba3a384bd6c7c180634
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win; 
Locale: ru-RU (ru_RU); UI: en-US
Calc: threaded

and strange smooth checkbox view with default render
Comment 2 V Stuart Foote 2020-06-12 20:04:22 UTC
Created attachment 161930 [details]
clip of LOdev 7.1.0alpha w Skia rendering, Form check box on writer canvas

Not seeing an issue. UI scaled to 200%, icon theme set to Colibre(SVG)

Version: 7.1.0.0.alpha0+ (x64)
Build ID: a201ab6f47c2d5a7ba4c5f998b0aa231cae82010
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL

The checkbox may not be real crisp, but is certainly not pixelated.

Screen clip attached.
Comment 3 Luboš Luňák 2020-06-12 20:18:05 UTC
I see nothing wrong. Is this still valid?
Comment 4 Telesto 2020-06-13 18:25:27 UTC
Created attachment 161957 [details]
Sceenshot

The 'initial' problem was about the top screenshot in the PDF.. the issue has disappeared for Skia (GDI still does this if you switch to Design mode with the checkbox checked)

The pixelized versions now being anti-aliased. Now it's fuzzy (as 'expected') with such a low resolution checkbox mark (image/or what ever is used). But this has been this way since 3.3.0. So not a Skia problem
Comment 5 QA Administrators 2020-06-14 03:40:31 UTC Comment hidden (obsolete)
Comment 6 V Stuart Foote 2020-06-14 13:40:27 UTC
@Rizal, can you spot what set of icons are being used for these form controls? They are kind of low resolution and might benefit from higher resolution variants if available.
Comment 7 V Stuart Foote 2020-06-14 13:54:53 UTC
Created attachment 161985 [details]
Writer document with single form checkbox control

Out of Design mode the form checkbox will toggle. Acceptable antialiasing all modes, but low resolution to start makes it look fuzzy.

When in Design mode, but just GDI rendering, the check in the box is pixelated. While with OpenGL or Skia rendering it gets antialiased as when not in Design mode.
Comment 8 V Stuart Foote 2020-06-14 14:08:21 UTC
Created attachment 161987 [details]
side-by-side of Edit vs Form Design mode ind GDI rendering of low res checkbox
Comment 9 Rizal Muttaqin 2020-06-14 22:06:13 UTC
(In reply to V Stuart Foote from comment #6)
> @Rizal, can you spot what set of icons are being used for these form
> controls? They are kind of low resolution and might benefit from higher
> resolution variants if available.

My guess it is icon-themes/colibre/check2.png. We have SVG version as well in icon-themes/colibre_svg/check2.svg (Another icon themes have these two variants)
Comment 10 V Stuart Foote 2020-06-15 02:54:58 UTC
(In reply to Rizal Muttaqin from comment #9)
> (In reply to V Stuart Foote from comment #6)
> > @Rizal, can you spot what set of icons are being used for these form
> > controls? They are kind of low resolution and might benefit from higher
> > resolution variants if available.
> 
> My guess it is icon-themes/colibre/check2.png. We have SVG version as well
> in icon-themes/colibre_svg/check2.svg (Another icon themes have these two
> variants)

Yes it sure looks like the check1 & check2 pair. Notice them in vcl/res--the PNG are 13px X 13px at 96dpi.  The SVG for the these look very sharp clean.

So can the 13px icons for forms be recast larger to pick up more detail, and reduce the aliasing?
Comment 11 Rizal Muttaqin 2020-06-15 03:25:19 UTC
(In reply to V Stuart Foote from comment #10)
> variants)
> 
> Yes it sure looks like the check1 & check2 pair. Notice them in vcl/res--the
> PNG are 13px X 13px at 96dpi.  The SVG for the these look very sharp clean.
> 

Yes, sorry it is under vcl/res.

> So can the 13px icons for forms be recast larger to pick up more detail, and
> reduce the aliasing?

How many pixels do we need?
Comment 12 V Stuart Foote 2020-06-15 13:44:55 UTC
(In reply to Rizal Muttaqin from comment #11)
> 
> > So can the 13px icons for forms be recast larger to pick up more detail, and
> > reduce the aliasing?
> 
> How many pixels do we need?

I can not tell. The src for button controls like the checkboxes are in button.cxx, where it does take the pixel size of the chcekbox bitmap.

https://opengrok.libreoffice.org/xref/core/vcl/source/control/button.cxx#3477

But I don't know if the changes to the checkbox bitmaps would have to be done to the other button types as well--or cause issues with use on forms and the UI.

Afraid that's a Caolan or Noel question.
Comment 13 Rizal Muttaqin 2020-06-15 13:59:25 UTC
(In reply to V Stuart Foote from comment #12)
> (In reply to Rizal Muttaqin from comment #11)
> > 
> > > So can the 13px icons for forms be recast larger to pick up more detail, and
> > > reduce the aliasing?
> > 
> > How many pixels do we need?
> 
> I can not tell. The src for button controls like the checkboxes are in
> button.cxx, where it does take the pixel size of the chcekbox bitmap.
> 
> https://opengrok.libreoffice.org/xref/core/vcl/source/control/button.cxx#3477
> 
> But I don't know if the changes to the checkbox bitmaps would have to be
> done to the other button types as well--or cause issues with use on forms
> and the UI.
> 
> Afraid that's a Caolan or Noel question.

OK will wait proper answer. cc'ed them
Comment 14 Telesto 2020-08-04 20:53:36 UTC
@Caolan / Noel
So can the 13px icons for forms be recast larger to pick up more detail, and
reduce the aliasing?

How many pixels do we need?

I can not tell. The src for button controls like the checkboxes are in
button.cxx, where it does take the pixel size of the chcekbox bitmap.

https://opengrok.libreoffice.org/xref/core/vcl/source/control/button.cxx#3477

But I don't know if the changes to the checkbox bitmaps would have to be done to the other button types as well--or cause issues with use on forms and the UI.
Comment 15 QA Administrators 2022-08-05 03:31:44 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug